Loading...
Searching...
No Matches
gtsam::key_formatter Class Reference

## Detailed Description

Output stream manipulator that will format gtsam::Keys according to the given KeyFormatter, as long as Key values are wrapped in a gtsam::StreamedKey.

LabeledSymbol and Symbol values do not have to be wrapped. usage: Key key = LabeledSymbol('x', 'A', 5); // cast to key type cout << key_formatter(MultiRobotKeyFormatter) << StreamedKey(key);

## Public Member Functions

| key_formatter (KeyFormatter v)

## Friends

GTSAM_EXPORT friend std::ostream & | operator<< (std::ostream &os, const key_formatter &m)
GTSAM_EXPORT friend std::ostream & | operator<< (std::ostream &os, const StreamedKey &streamedKey)

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/inference/Key.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/inference/Key.cpp